commit: 6f430a85ac70a14c16a75c9a4284a545c08df8f7
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 9 13:25:27 2018 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Fri Nov 9 13:42:23 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f430a85
dev-python/characteristic: eapi7 + py3_7
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>
.../characteristic/characteristic-14.3.0-r2.ebuild | 42 ++++++++++++++++++++++
1 file changed, 42 insertions(+)
diff --git a/dev-python/characteristic/characteristic-14.3.0-r2.ebuild
b/dev-python/characteristic/characteristic-14.3.0-r2.ebuild
new file mode 100644
index 00000000000..c13a2266947
--- /dev/null
+++ b/dev-python/characteristic/characteristic-14.3.0-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python attributes without the boilerplate"
+HOMEPAGE="https://characteristic.readthedocs.org/
https://github.com/hynek/characteristic"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86 ~amd64-fbsd"
+IUSE="doc test"
+
+RDEPEND=""
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}